Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.client.xmldb
Class QueryServiceImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.QueryServiceImpl

All Implemented Interfaces:
  org.xmldb.api.base.Configurable, org.xmldb.api.base.Service

Direct Known Subclasses:
  FullTextQueryServiceImpl, XPathQueryServiceImpl, XSLTransformServiceImpl, XUpdateQueryServiceImpl

public abstract class QueryServiceImpl
extends java.lang.Object
implements org.xmldb.api.base.Service

QueryServiceImpl

Constructor Summary
`QueryServiceImpl(CollectionImpl col, java.lang.String style)`

Method Summary
`void` | `clearNamespaces()`
`java.lang.String` | `getNamespace(java.lang.String prefix)`
`java.lang.String` | `getProperty(java.lang.String name)`
`void` | `removeNamespace(java.lang.String prefix)`
`void` | `setCollection(org.xmldb.api.base.Collection col)`
`void` | `setNamespace(java.lang.String prefix, java.lang.String uri)`
`void` | `setProperty(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion`

Constructor Detail

### QueryServiceImpl

    public QueryServiceImpl(CollectionImpl col,
                            java.lang.String style)

Method Detail

### setNamespace

    public void setNamespace(java.lang.String prefix,
                             java.lang.String uri)
                      throws org.xmldb.api.base.XMLDBException

  Throws:
    `org.xmldb.api.base.XMLDBException`

### getNamespace

    public java.lang.String getNamespace(java.lang.String prefix)
                                  throws org.xmldb.api.base.XMLDBException

  Throws:
    `org.xmldb.api.base.XMLDBException`

### removeNamespace

    public void removeNamespace(java.lang.String prefix)
                         throws org.xmldb.api.base.XMLDBException

  Throws:
    `org.xmldb.api.base.XMLDBException`

### clearNamespaces

    public void clearNamespaces()
                         throws org.xmldb.api.base.XMLDBException

  Throws:
    `org.xmldb.api.base.XMLDBException`

### getProperty

    public java.lang.String getProperty(java.lang.String name)
                                 throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getProperty` in interface `org.xmldb.api.base.Configurable`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)
                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `setProperty` in interface `org.xmldb.api.base.Configurable`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### setCollection

    public void setCollection(org.xmldb.api.base.Collection col)
                       throws org.xmldb.api.base.XMLDBException

  Specified by:
    `setCollection` in interface `org.xmldb.api.base.Service`
  Throws:
    `org.xmldb.api.base.XMLDBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group